/*
 * Class EV_TOOL_BAR_BUTTON_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_323 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_323 [] = {0xFF01,1551,322,0xFFFF};
static const EIF_TYPE_INDEX egt_2_323 [] = {0xFF01,322,0xFFFF};
static const EIF_TYPE_INDEX egt_3_323 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_323 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_323 [] = {0xFF01,322,0xFFFF};
static const EIF_TYPE_INDEX egt_6_323 [] = {0xFF01,322,0xFFFF};
static const EIF_TYPE_INDEX egt_7_323 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_323 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_323 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_323 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_323 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_323 [] = {0xFF01,322,0xFFFF};
static const EIF_TYPE_INDEX egt_13_323 [] = {0xFF01,391,0xFFFF};
static const EIF_TYPE_INDEX egt_14_323 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_323 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_323[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_323), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_323), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_323), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_323), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_323), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_323), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_323), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_323), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_323), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_323), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_323), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_323), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0285 /*322*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_323), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_323), 6208, 0},
	{EIF_GENERIC(egt_14_323), 6206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_323), 6207, 0xFFFFFFFF},
};
void Init323(void)
{
	IDSC(desc_323, 0, 322);
	IDSC(desc_323 + 1, 1, 322);
	IDSC(desc_323 + 32, 34, 322);
}


#ifdef __cplusplus
}
#endif
